Quassel IRC - Bug #1145

parsing "was logged in as" (numeric 330) in /whowas
03/12/2012 12:23 PM - gry

Status: Resolved Start date: 03/12/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.7.3 0S: Any
Description

Query: /whowas somenick

Raw reply:

sirc.example.net 314 mynick somenick somenick unaffiliated/somenick * :somenick
sirc.example.net 330 mynick somenick somenick :was logged in as

sirc.example.net 312 mynick somenick hitchcock.freenode.net :Mon Mar 12 11:02:25 2012
sirc.example.net 369 mynick somenick :End of WHOWAS

Quassel displays this as:

* [Whowas] somenick was somenick@unaffiliated/somenick (somenick)

¢ [Whois] somenick is authed as somenick

¢ [Whowas] somenick is online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)
¢ [Whowas] somenick End of WHOWAS

Expected output:

¢ [Whowas] somenick was somenick@unaffiliated/somenick (somenick)

¢ [Whois] somenick was authed as somenick

¢ [Whowas] somenick was online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)
¢ [Whowas] somenick End of WHOWAS

Difference:

- [Whois] somenick is authed as somenick

+ [Whois] somenick was authed as somenick

- [Whowas] somenick is online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)

+ [Whowas] somenick was online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)

History

#1 - 03/12/2012 12:59 PM - gry

the

- [Whowas] somenick is online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)

+ [Whowas] somenick was online via hitchcock.freenode.net (Mon Mar 12 11:02:25 2012)
bit is already fixed in trunk.

This issue is about the

- [Whois] somenick is authed as somenick

+ [Whowas] somenick was authed as somenick
difference only.

#2 - 03/12/2012 01:58 PM - Anonymous

- Target version set to Some future release

https://qitorious.org/quassel/quassel/merge_requests/139

#3 - 05/23/2012 09:34 AM - johu
- Category set to Quassel Core

- Status changed from New to Resolved
https://gitorious.org/quassel/quassel/merge_requests/139

- Target version changed from Some future release to 0.9.0
